libetonyek::IWORKText Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKText Class Reference

`#include <IWORKText.h>`

## Public Member Functions
| IWORKText (const IWORKLanguageManager &langManager, bool discardEmptyContent)
| ~IWORKText ()
void | setRecorder (const boost::shared_ptr< IWORKTextRecorder > &recorder)
const boost::shared_ptr< IWORKTextRecorder > & | getRecorder () const
void | pushBaseLayoutStyle (const IWORKStylePtr_t &style)
| Set style used as base for all layout styles in this text. More...
void | pushBaseParagraphStyle (const IWORKStylePtr_t &style)
| Set style used as base for all paragraph styles in this text. More...
void | setLayoutStyle (const IWORKStylePtr_t &style)
| Set style used for the next layout. More...
void | flushLayout ()
| Flush the current layout. More...
void | setListStyle (const IWORKStylePtr_t &style)
| Set list style used for the next paragraph, if it is in a list. More...
void | setListLevel (const unsigned level)
| Set the list level of the next paragraph, 0 meaning no list. More...
void | flushList ()
| Flush the current list level(s). More...
void | setParagraphStyle (const IWORKStylePtr_t &style)
| Set style used for the next paragraph. More...
void | flushParagraph ()
| Flush the current paragraph. More...
void | setSpanStyle (const IWORKStylePtr_t &style)
| Set style used for the next span. More...
void | setLanguage (const IWORKStylePtr_t &style)
| Set language used for the next span. More...
void | flushSpan ()
| Flush the current span. More...
void | openLink (const std::string &url)
void | closeLink ()
void | insertText (const std::string &text)
void | insertTab ()
void | insertSpace ()
void | insertLineBreak ()
void | insertInlineContent (const IWORKOutputElements &elements)
void | insertBlockContent (const IWORKOutputElements &elements)
bool | empty () const
void | draw (IWORKOutputElements &elements)

## Private Member Functions
void | openSection ()
void | closeSection ()
bool | needsSection () const
void | handleListLevelChange (unsigned level)
void | openPara ()
void | closePara ()
void | fillParaPropList (librevenge::RVNGPropertyList &propList)
void | openSpan ()
void | closeSpan ()

## Private Attributes
const IWORKLanguageManager & | m_langManager
IWORKStyleStack | m_layoutStyleStack
IWORKStyleStack | m_paraStyleStack
IWORKOutputElements | m_elements
IWORKStylePtr_t | m_layoutStyle
bool | m_inSection
librevenge::RVNGPropertyList | m_sectionProps
bool | m_checkedSection
IWORKStylePtr_t | m_listStyle
unsigned | m_listLevel
unsigned | m_inListLevel
std::stack< bool > | m_isOrderedStack
| Saves info about the currently opened list levels being ordered or unordered. More...
IWORKStylePtr_t | m_paraStyle
bool | m_inPara
bool | m_ignoreEmptyPara
IWORKStylePtr_t | m_spanStyle
IWORKStylePtr_t | m_langStyle
bool | m_spanStyleChanged
bool | m_inSpan
IWORKStylePtr_t | m_oldSpanStyle
boost::shared_ptr< IWORKTextRecorder > | m_recorder

## Constructor & Destructor Documentation

libetonyek::IWORKText::IWORKText | ( | const IWORKLanguageManager & | langManager,
|  | bool | discardEmptyContent
| ) |  |

libetonyek::IWORKText::~IWORKText | ( |  | ) |

## Member Function Documentation

void libetonyek::IWORKText::closeLink | ( |  | ) |

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::closePara | ( |  | ) |
| private

Referenced by closeSection(), flushParagraph(), handleListLevelChange(), and insertBlockContent().

void libetonyek::IWORKText::closeSection | ( |  | ) |
| private

Referenced by flushLayout().

void libetonyek::IWORKText::closeSpan | ( |  | ) |
| private

Referenced by closeLink(), closePara(), flushParagraph(), flushSpan(), insertLineBreak(), insertSpace(), insertTab(), insertText(), and openLink().

void libetonyek::IWORKText::draw | ( | IWORKOutputElements & | elements | ) |

bool libetonyek::IWORKText::empty | ( |  | ) | const

void libetonyek::IWORKText::fillParaPropList | ( | librevenge::RVNGPropertyList & | propList | ) |
| private

Referenced by handleListLevelChange(), and openPara().

void libetonyek::IWORKText::flushLayout | ( |  | ) |

Flush the current layout.

void libetonyek::IWORKText::flushList | ( |  | ) |

Flush the current list level(s).

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::flushParagraph | ( |  | ) |

Flush the current paragraph.

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::flushSpan | ( |  | ) |

Flush the current span.

Referenced by libetonyek::IWAText::parse().

const boost::shared_ptr< IWORKTextRecorder > & libetonyek::IWORKText::getRecorder | ( |  | ) | const

void libetonyek::IWORKText::handleListLevelChange | ( | unsigned | level | ) |
| private

Referenced by closeSection(), flushList(), openPara(), and openSection().

void libetonyek::IWORKText::insertBlockContent | ( | const IWORKOutputElements & | elements | ) |

void libetonyek::IWORKText::insertInlineContent | ( | const IWORKOutputElements & | elements | ) |

void libetonyek::IWORKText::insertLineBreak | ( |  | ) |

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::insertSpace | ( |  | ) |

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::insertTab | ( |  | ) |

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::insertText | ( | const std::string & | text | ) |

bool libetonyek::IWORKText::needsSection | ( |  | ) | const
| private

Referenced by insertBlockContent(), and openPara().

void libetonyek::IWORKText::openLink | ( | const std::string & | url | ) |

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::openPara | ( |  | ) |
| private

Referenced by flushParagraph(), openLink(), and openSpan().

void libetonyek::IWORKText::openSection | ( |  | ) |
| private

Referenced by insertBlockContent(), and openPara().

void libetonyek::IWORKText::openSpan | ( |  | ) |
| private

Referenced by insertInlineContent(), insertLineBreak(), insertSpace(), insertTab(), and insertText().

void libetonyek::IWORKText::pushBaseLayoutStyle | ( | const IWORKStylePtr_t & | style | ) |

Set style used as base for all layout styles in this text.

void libetonyek::IWORKText::pushBaseParagraphStyle | ( | const IWORKStylePtr_t & | style | ) |

Set style used as base for all paragraph styles in this text.

void libetonyek::IWORKText::setLanguage | ( | const IWORKStylePtr_t & | style | ) |

Set language used for the next span.

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::setLayoutStyle | ( | const IWORKStylePtr_t & | style | ) |

Set style used for the next layout.

void libetonyek::IWORKText::setListLevel | ( | const unsigned | level | ) |

Set the list level of the next paragraph, 0 meaning no list.

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::setListStyle | ( | const IWORKStylePtr_t & | style | ) |

Set list style used for the next paragraph, if it is in a list.

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::setParagraphStyle | ( | const IWORKStylePtr_t & | style | ) |

Set style used for the next paragraph.

Referenced by libetonyek::IWAText::parse().

void libetonyek::IWORKText::setRecorder | ( | const boost::shared_ptr< IWORKTextRecorder > & | recorder | ) |

void libetonyek::IWORKText::setSpanStyle | ( | const IWORKStylePtr_t & | style | ) |

Set style used for the next span.

Referenced by libetonyek::IWAText::parse().

## Member Data Documentation

bool libetonyek::IWORKText::m_checkedSection
| mutableprivate

Referenced by needsSection(), and setLayoutStyle().

IWORKOutputElements libetonyek::IWORKText::m_elements
| private

Referenced by closeLink(), closePara(), closeSection(), closeSpan(), empty(), handleListLevelChange(), insertBlockContent(), insertInlineContent(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openLink(), openPara(), openSection(), and openSpan().

bool libetonyek::IWORKText::m_ignoreEmptyPara
| private

Referenced by flushParagraph(), and insertBlockContent().

unsigned libetonyek::IWORKText::m_inListLevel
| private

Referenced by closePara(), handleListLevelChange(), and openPara().

bool libetonyek::IWORKText::m_inPara
| private

Referenced by closePara(), closeSection(), flushParagraph(), handleListLevelChange(), insertBlockContent(), openLink(), openPara(), openSection(), and openSpan().

bool libetonyek::IWORKText::m_inSection
| private

Referenced by closeSection(), flushLayout(), insertBlockContent(), openPara(), and openSection().

bool libetonyek::IWORKText::m_inSpan
| private

Referenced by closeLink(), closePara(), closeSpan(), flushParagraph(), flushSpan(), insertInlineContent(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openLink(), and openSpan().

std::stack<bool> libetonyek::IWORKText::m_isOrderedStack
| private

Saves info about the currently opened list levels being ordered or unordered.

Referenced by handleListLevelChange(), and ~IWORKText().

const IWORKLanguageManager& libetonyek::IWORKText::m_langManager
| private

Referenced by openSpan().

IWORKStylePtr_t libetonyek::IWORKText::m_langStyle
| private

Referenced by openSpan(), and setLanguage().

IWORKStylePtr_t libetonyek::IWORKText::m_layoutStyle
| private

Referenced by needsSection(), and setLayoutStyle().

IWORKStyleStack libetonyek::IWORKText::m_layoutStyleStack
| private

Referenced by needsSection(), and pushBaseLayoutStyle().

unsigned libetonyek::IWORKText::m_listLevel
| private

Referenced by flushList(), openPara(), and setListLevel().

IWORKStylePtr_t libetonyek::IWORKText::m_listStyle
| private

Referenced by handleListLevelChange(), and setListStyle().

IWORKStylePtr_t libetonyek::IWORKText::m_oldSpanStyle
| private

Referenced by closeLink(), and openLink().

IWORKStylePtr_t libetonyek::IWORKText::m_paraStyle
| private

Referenced by fillParaPropList(), handleListLevelChange(), openSpan(), and setParagraphStyle().

IWORKStyleStack libetonyek::IWORKText::m_paraStyleStack
| private

Referenced by fillParaPropList(), handleListLevelChange(), openSpan(), and pushBaseParagraphStyle().

boost::shared_ptr<IWORKTextRecorder> libetonyek::IWORKText::m_recorder
| private

Referenced by closeLink(), flushLayout(), flushList(), flushParagraph(), flushSpan(), getRecorder(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openLink(), pushBaseLayoutStyle(), pushBaseParagraphStyle(), setLanguage(), setLayoutStyle(), setListLevel(), setListStyle(), setParagraphStyle(), setRecorder(), and setSpanStyle().

librevenge::RVNGPropertyList libetonyek::IWORKText::m_sectionProps
| mutableprivate

Referenced by needsSection(), openSection(), and setLayoutStyle().

IWORKStylePtr_t libetonyek::IWORKText::m_spanStyle
| private

Referenced by closeLink(), openLink(), openSpan(), and setSpanStyle().

bool libetonyek::IWORKText::m_spanStyleChanged
| private

Referenced by insertLineBreak(), insertSpace(), insertTab(), insertText(), openSpan(), setLanguage(), and setSpanStyle().

The documentation for this class was generated from the following files:

- IWORKText.h
- IWORKText.cpp